Option Strict On

Imports System.Messaging
Imports System.Diagnostics

Public Class Example1a
    Shared Sub Main()
        Dim objMessageQueue As MessageQueue
        Try
            objMessageQueue = New MessageQueue(Constants.MQ.LocalNonTransQueue)
            objMessageQueue.Send("Example1a - Hand Coding for real programmers", "Example1a")
            MessageBox.Show("Message Sent")
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        Finally
            objMessageQueue.Close()
        End Try
    End Sub
End Class

Namespace Constants
    Class MQ
        Public Const LocalNonTransQueue As String = ".\private$\NonTransactional"
        Public Const LocalTransQueue As String = ".\private$\Transactional"
        Public Const LocalAckQueue As String = ".\private$\Ack"
        Public Const PublicNonTransQueue As String = "webserver\NonTransactional"
    End Class
End Namespace
